ippoold(8)

NAME
ippoold - IP Pool daemon

SYNOPSIS
ippoold [-f] [-R] [-d] [-L log-facility]

DESCRIPTION

ippoold maintains one or more static IP address pools.

Each address pool is given a unique name by the administrator. Applications allocate addresses from a named pool and free addresses back to a named pool when they are no longer needed. Each pool is completely separate; one pool's addresses may overlap anothers.

Individual IP address pools may contain any number of contiguous address blocks. Individual addresses within those address blocks may be reserved by an administrator to handle cases where some addresses are manually assigned. Address blocks may be added or removed from a pool as required, even when the pool is in use.

ippoold does not require allocated addresses to be periodically refreshed like DHCP does. An application that allocates addresses must always return them to the pool when it is finished. Failure to do so is a bug and will result in IP address leaks.

ippoold is intended for use by any application that needs IP addresses for temporary use. It was originally written for the OpenL2TP project but was repackaged as a separate application so that it could be used by other applications. A pppd plugin is provided, enabling a PPP server to allocate addresses from a pool.

OPTIONS

-d  Enable debug messages.

-f  Run in the foreground. By default, ippoold forks itself and runs in the background. For debugging, it is sometimes useful to run the application in the foreground. Note that when run in the foreground, any trace messages are sent to the controlling terminal rather than to syslog.

-L log-facility
    By default, ippoold logs messages to the LOG_DAEMON syslog facility. This option may be used to log messages to one of the localN facilities instead (local0..local7) so that the logged messages can be directed via syslog configuration to a separate file or syslog server. See syslog.conf(5) for how to configure syslog.

-R  Enables remote management. ippoold is controlled using Sun RPC requests. Sun RPC requests may be sent over a network so a control application implementing the IpPool RPC API documented in ippool_rpc(4) may control ippoold remotely. In most environments, remote configuration isn't useful so is disabled by default. However, in closed cluster or chassis systems where IP addresses are needed by applications running on different CPUs, the ability to control ippoold over a network using RPC is extremely useful.

CONFIGURATION
There are no configuration files! All configuration is done using an application supporting the RPC interface documented in ippool_rpc(4). One such application is ippoolconfig(1) which provides an intuitive command line interface.

Since ippoold is managed by Sun RPC which is available in most commercial operating systems including Microsoft Windows, Sun Solaris and even embedded RTOS such as WindRiver's VxWorks, custom management applications may be developed to control ippoold.

REPORTING BUGS
Please report bugs to <openl2tp-bugs@lists.sourceforge.net>.

SEE ALSO
ippoolconfig(1), ippool_rpc(4)